# UnresolvedDependencyResult

interface UnresolvedDependencyResult : DependencyResult

A dependency that could not be resolved.

## Functions

getAttempted
Link copied to clipboard
abstract fun getAttempted(): ComponentSelector
Returns the selector that was attempted to be resolved.
getAttemptedReason
Link copied to clipboard
abstract fun getAttemptedReason(): ComponentSelectionReason
Returns the reasons why the failed selector was attempted.
getFailure
Link copied to clipboard
abstract fun getFailure(): Throwable
The failure that occurred.
getFrom
Link copied to clipboard
abstract fun getFrom(): ResolvedComponentResult
getRequested
Link copied to clipboard
abstract fun getRequested(): ComponentSelector
isConstraint
Link copied to clipboard
abstract fun isConstraint(): Boolean